try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "3beb764c-93e6-42a5-9975-c7ccbf0a3fe4", e._sentryDebugIdIdentifier = "sentry-dbid-3beb764c-93e6-42a5-9975-c7ccbf0a3fe4");
} catch (e) {}
var getLanguageCode = (locale) => {
	const [languageCode] = locale.split("-");
	return languageCode;
};
var isTranslationObject = (value) => value !== null && typeof value === "object" && "key" in value && "values" in value;
/**
* A helper function to translate a `Translatable` type, which can be either a simple string key
* or an object with a key and values for interpolation. It uses the provided `i18next` `t` function.
*
* @param t - The `i18next` translation function.
* @param translatable - The string or object to translate.
* @returns The translated string.
*/
var translateTranslatable = (t, translatable) => {
	if (!translatable) return void 0;
	if (isTranslationObject(translatable)) return t(($) => $[translatable.key], translatable.values);
	return t(($) => $[translatable]);
};
//#endregion
export { translateTranslatable as n, getLanguageCode as t };
